using System;
using Server.Items;
using Server.Targeting;

namespace Server.ContextMenus
{
	public class AddToSpellbookEntry : ContextMenuEntry
	{
		public AddToSpellbookEntry() : base( 6144 )
		{
		}

		public override void OnClick()
		{
			if ( Owner.Target is SpellScroll )
			{
				Owner.From.Target = new InternalTarget( (SpellScroll)Owner.Target );
			}
		}

		private class InternalTarget : Target
		{
			private SpellScroll m_Scroll;

			public InternalTarget( SpellScroll scroll ) : base( 3, false, TargetFlags.None )
			{
				m_Scroll = scroll;
			}

			protected override void OnTarget( Mobile from, object targeted )
			{
				if ( targeted is Spellbook )
				{
					if ( !m_Scroll.Deleted && m_Scroll.Amount >= 1 )
					{
						Spellbook book = (Spellbook)targeted;

						if ( !book.HasSpell( m_Scroll.SpellID ) )
						{
							book.Content |= (ulong)1 << m_Scroll.SpellID;

							m_Scroll.Consume();
						}
					}
				}
			}
		}
	}
}