using System;
using Server;
using Server.Guilds;
using Server.Targeting;

namespace Server.Gumps
{
	public class GuildRecruitTarget : Target
	{
		private Mobile m_Mobile;
		private Guild m_Guild;

		public GuildRecruitTarget( Mobile m, Guild guild ) : base( 10, false, TargetFlags.None )
		{
			m_Mobile = m;
			m_Guild = guild;
		}

		protected override void OnTarget( Mobile from, object targeted )
		{
			if ( targeted is Mobile )
			{
				if ( m_Guild.Leader == m_Mobile )
				{
					Mobile m = (Mobile)targeted;

					if ( !m.Player )
					{
						m_Mobile.SendMessage( "You can only recruit players!" );
					}
					else if ( m.Guild == null )
					{
						m_Guild.AddMember( m );
					}
					else if ( m.Guild == m_Guild )
					{
						m_Mobile.SendMessage( "They are already in your guild." );
					}
					else
					{
						m_Mobile.SendMessage( "They have already joined a guild." );
					}
				}
			}
		}

		protected override void OnTargetFinish( Mobile from )
		{
			if ( m_Guild.IsMember( m_Mobile ) )
			{
				m_Mobile.CloseGump( typeof( GuildGump ) );
				m_Mobile.CloseGump( typeof( GuildMemberList ) );
				m_Mobile.SendGump( new GuildGump( m_Mobile, m_Guild ) );
			}
		}
	}
}