using System;

namespace Server.Items
{
	[FlipableAttribute(0xB4E, 0xB4F, 0xB51, 0xB50)]
	public class FancyWoodenChairCushion : Item, IDyable
	{
		[Constructable]
		public FancyWoodenChairCushion() : base(0xB4E)
		{
			Weight = 6;
		}

		public FancyWoodenChairCushion(Serial serial) : base(serial)
		{
		}

		public bool Dye( Mobile from, DyeTub sender )
		{
			if ( Deleted ) return false;

			Hue = sender.DyedHue;

			return true;
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}

	[FlipableAttribute(0xB52, 0xB53, 0xB55, 0xB54)]
	public class WoodenChairCushion : Item, IDyable
	{
		[Constructable]
		public WoodenChairCushion() : base(0xB52)
		{
			Weight = 6;
		}

		public WoodenChairCushion(Serial serial) : base(serial)
		{
		}

		public bool Dye( Mobile from, DyeTub sender )
		{
			if ( Deleted ) return false;

			Hue = sender.DyedHue;

			return true;
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}

	[FlipableAttribute(0xB56, 0xB57, 0xB58, 0xB59)]
	public class WoodenChair : Item, IDyable
	{
		[Constructable]
		public WoodenChair() : base(0xB56)
		{
			Weight = 6;
		}

		public WoodenChair(Serial serial) : base(serial)
		{
		}

		public bool Dye( Mobile from, DyeTub sender )
		{
			if ( Deleted ) return false;

			Hue = sender.DyedHue;

			return true;
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}

	[FlipableAttribute(0xB5A, 0xB5B, 0xB5D, 0xB5C)]
	public class BambooChair : Item, IDyable
	{
		[Constructable]
		public BambooChair() : base(0xB5A)
		{
			Weight = 6;
		}

		public BambooChair(Serial serial) : base(serial)
		{
		}

		public bool Dye( Mobile from, DyeTub sender )
		{
			if ( Deleted ) return false;

			Hue = sender.DyedHue;

			return true;
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}