using System;
using System.IO;
using Server.Network;
using Server.Guilds;
using Server.Gumps;

namespace Server.Items
{
	public class Guildstone : Item
	{
		private Guild m_Guild;

		public Guild Guild
		{
			get
			{
				return m_Guild;
			}
		}

		public Guildstone( Guild g ) : base( 0xED4 )
		{
			m_Guild = g;

			Movable = false;
		}

		public Guildstone( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}

		public override void OnSingleClick( Mobile from )
		{
			this.LabelTo( from, 1041429 ); // a guldstone

			string name;

			if ( m_Guild == null )
			{
				name = "(unfounded)";
			}
			else if ( (name = m_Guild.Name) == null || (name = name.Trim()).Length <= 0 )
			{
				name = "(unnamed)";
			}

			this.LabelTo( from, name );
		}

		public override void OnDoubleClick( Mobile from )
		{
			if ( m_Guild == null )
			{
				Delete();
			}
			else if ( !m_Guild.IsMember( from ) )
			{
				from.Send( new MessageLocalized( Serial, ItemID, MessageType.Regular, 0x3B2, 3, 501158, "", "" ) ); // You are not a member ...
			}
			else
			{
				from.CloseGump( typeof( GuildGump ) );
				from.CloseGump( typeof( GuildMemberList ) );
				from.SendGump( new GuildGump( from, m_Guild ) );
			}
		}
	}
}