using System;
using Server;

namespace Server.Items
{
	public abstract class BaseAgilityPotion : BasePotion
	{
		public abstract int DexOffset{ get; }
		public abstract TimeSpan Duration{ get; }

		public BaseAgilityPotion( PotionEffect effect ) : base( 0xF08, effect )
		{
		}

		public BaseAgilityPotion( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}

		public bool DoAgility( Mobile from )
		{
			int dexOffset = DexOffset;

			StatMod mod = from.GetStatMod( "[Potion] Dex Offset" );

			if ( mod == null || mod.Offset < dexOffset )
			{
				from.AddStatMod( new StatMod( StatType.Dex, "[Potion] Dex Offset", dexOffset, Duration ) );
				return true;
			}
			else
			{
				from.SendLocalizedMessage( 502173 ); // You are already under a similar effect.
				return false;
			}
		}

		public override void Drink( Mobile from )
		{
			if ( DoAgility( from ) )
			{
				BasePotion.PlayDrinkEffect( from );

				this.Delete();
			}
		}
	}
}