using System;
using Server;

namespace Server.Items
{
	public class StatCapScroll : Item
	{
		private int m_Value;

		[Constructable]
		public StatCapScroll( int value ) : base( 0x14F0 )
		{
			base.Hue = 0x481;
			base.Weight = 1.0;

			m_Value = value;
		}

		public StatCapScroll( Serial serial ) : base( serial )
		{
		}

		public override void OnSingleClick( Mobile from )
		{
			if ( m_Value == 230 )
				base.LabelTo( from, 1049463, "power" ); // a wonderous scroll of ~1_type~ (+5 Maximum Stats)
			else if ( m_Value == 235 )
				base.LabelTo( from, 1049464, "power" ); // an exalted scroll of ~1_type~ (+10 Maximum Stats)
			else if ( m_Value == 240 )
				base.LabelTo( from, 1049465, "power" ); // a mythical scroll of ~1_type~ (+15 Maximum Stats)
			else if ( m_Value == 245 )
				base.LabelTo( from, 1049466, "power" ); // a legendary scroll of ~1_type~ (+20 Maximum Stats)
			else if ( m_Value == 250 )
				base.LabelTo( from, 1049467, "power" ); // an ultimate scroll of ~1_type~ (+25 Maximum Stats)
			else
				base.LabelTo( from, "a scroll of power (+{0} Maximum Stats)", m_Value - 225 );
		}

		public override void OnDoubleClick( Mobile from )
		{
			if ( base.RootParent == from )
			{
				if ( from.StatCap >= m_Value )
				{
					from.SendLocalizedMessage( 1049510 ); // Your stats are too high for this power scroll.
				}
				else
				{
					from.SendLocalizedMessage( 1049512 ); // You feel a surge of magic as the scroll enhances your powers!

					from.StatCap = m_Value;

					from.PlaySound( 0x1EA );
					Effects.SendTargetEffect( from, 0x373A, 15 );

					base.Delete();
				}
			}
			else
			{
				from.SendLocalizedMessage( 1042001 ); // That must be in your pack for you to use it.
			}
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version

			writer.Write( (int) m_Value );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();

			switch ( version )
			{
				case 0:
				{
					m_Value = reader.ReadInt();

					break;
				}
			}
		}
	}
}