using System;
using Server;

namespace Server.Spells
{
	public class StatModHelper
	{
		public static int GetOffset( Mobile caster )
		{
			return 1 + (int)(caster.Skills[SkillName.Magery].Value * 0.1);
		}

		public static TimeSpan GetDuration( Mobile caster )
		{
			return TimeSpan.FromSeconds( caster.Skills[SkillName.Magery].Value * 1.2 );
		}

		public static void AddStatBonus( Mobile caster, Mobile target, StatType type )
		{
			int offset = GetOffset( caster );
			string name = String.Format( "[Spell] {0} Offset", type );

			StatMod mod = target.GetStatMod( name );

			if ( mod != null && mod.Offset < 0 )
			{
				target.AddStatMod( new StatMod( type, name, mod.Offset + offset, GetDuration( caster ) ) );
			}
			else if ( mod == null || mod.Offset < offset )
			{
				target.AddStatMod( new StatMod( type, name, offset, GetDuration( caster ) ) );
			}
		}

		public static void AddStatCurse( Mobile caster, Mobile target, StatType type )
		{
			int offset = -GetOffset( caster );
			string name = String.Format( "[Spell] {0} Offset", type );

			StatMod mod = target.GetStatMod( name );

			if ( mod != null && mod.Offset > 0 )
			{
				target.AddStatMod( new StatMod( type, name, mod.Offset + offset, GetDuration( caster ) ) );
			}
			else if ( mod == null || mod.Offset > offset )
			{
				target.AddStatMod( new StatMod( type, name, offset, GetDuration( caster ) ) );
			}
		}
	}
}